# ARXPopulationModel (ARX Developer Documentation)

org.deidentifier.arx

## Class ARXPopulationModel

- java.lang.Object
- - org.deidentifier.arx.ARXPopulationModel

- All Implemented Interfaces:
    java.io.Serializable

      public class ARXPopulationModel
      extends java.lang.Object
      implements java.io.Serializable

  This class models population properties for risk estimation
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ARXPopulationModel.Region` Regions

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ARXPopulationModel` | `clone()` Returns a clone of this object
    `static ARXPopulationModel` | `create(ARXPopulationModel.Region region)` Creates a new instance
    `static ARXPopulationModel` | `create(int sampleSize, double samplingFraction)` Creates a new instance
    `static ARXPopulationModel` | `create(long populationSize)` Creates a new instance
    `long` | `getPopulationSize()` Returns the population size
    `ARXPopulationModel.Region` | `getRegion()`
    `void` | `makeBackwardsCompatible(int sampleSize)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ARXPopulationModel create(int sampleSize,
                                  double samplingFraction)

      Creates a new instance
      Parameters:
        `sampleSize` -
        `samplingFraction` -
      Returns:

    - #### create

          public static ARXPopulationModel create(long populationSize)

      Creates a new instance
      Parameters:
        `populationSize` -
      Returns:

    - #### create

          public static ARXPopulationModel create(ARXPopulationModel.Region region)

      Creates a new instance
      Parameters:
        `region` -
      Returns:

    - #### clone

          public ARXPopulationModel clone()

      Returns a clone of this object
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getPopulationSize

          public long getPopulationSize()

      Returns the population size
      Returns:

    - #### getRegion

          public ARXPopulationModel.Region getRegion()

      Returns:
        the region

    - #### makeBackwardsCompatible

          @Deprecated
          public void makeBackwardsCompatible(int sampleSize)

      Deprecated.